
#include <iostream>
#include <iomanip>
#include <cmath>

using namespace std;

int main()
{
    cout << fixed << showpoint << setprecision(17);

    cout << "3.0 / 7.0 = " << (3.0 / 7.0) << endl;
    cout << "2.0 / 7.0 = " << (2.0 / 7.0) << endl;
    cout << "3.0 / 7.0 + 2.0 / 7.0 + 2.0 / 7.0 = "
         << (3.0 / 7.0 + 2.0 / 7.0 + 2.0 / 7.0) << endl;

    double x = 1.0;
    double y = 3.0 / 7.0 + 2.0 / 7.0 + 2.0 / 7.0;

    cout << "x = " << x << endl;
    cout << "y = " << y << endl;

    if (x == y)
        cout << "x and y are the same." << endl;
    else
        cout << "x and y are not the same." << endl;

    if (fabs(x - y) < 0.000001)
        cout << "x and y are the same within the tolerance "
             << "0.000001." << endl;
    else
        cout << " x and y are not the same within the "
             << "tolerance 0.000001." << endl;

    return 0;
}